Name:          libbonoboui
Version:       2.24.5
Release:       17
Summary:       The Bonobo Part of the GNOME User Interface Libraries
License:       LGPLv2+
URL:           https://www.gnome.org
Source0:       https://download.gnome.org/sources/libbonoboui/2.24/%{name}-%{version}.tar.bz2
BuildRequires: libxml2-devel ORBit2-devel  libbonobo-devel  gtk2-devel libglade2-devel   glib2-devel 
BuildRequires: libgnomecanvas-devel libgnome-devel  libart_lgpl-devel  intltool  libtool  gettext 
Requires:      ORBit2

%description
This package contains the Bonobo-related part of the GNOME UI
libraries and tools to play with Bonobo, including a tool to browse Bonobo services that are available.

%package       devel
Summary:       Include files and libraries mandatory for %{name}
License:       GPLv2+ and LGPLv2+
Requires:      %name = %{version}-%{release} libxml2-devel ORBit2-devel  libbonobo-devel  libgnome-devel 
Requires:      libart_lgpl-devel  gtk2-devel  libglade2-devel  glib2-devel  pkgconfig  

%description   devel
%{name}-devel contains header files used to compile programs that
use libbonoboui.

%package_help

%prep
%autosetup     -n %{name}-%{version}

%build
%configure     --disable-gtk-doc 
%disable_rpath
%make_build

%install
%make_install
for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done
%delete_la
%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%doc COPYING.LIB  
%{_libdir}/libbonoboui-2.so.*
%{_libdir}/libglade/2.0/libbonobo.so
%{_libdir}/bonobo/servers/*
%{_datadir}/locale/*
%{_datadir}/gnome-2.0/*

%files  devel
%defattr(-,root,root)
%doc COPYING.LIB COPYING
%{_bindir}/*
%{_libdir}/pkgconfig/libbonoboui-2.0.pc
%{_libdir}/bonobo-2.0
%{_libdir}/*.so
%{_libdir}/libglade/2.0/*.a
%{_libdir}/*.a
%{_includedir}/*
%exclude %{_datadir}/applications/bonobo-browser.desktop

%files  help
%defattr(-,root,root)
%doc NEWS README
%{_datadir}/gtk-doc/html/libbonoboui/*

%changelog
* Wed Oct 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24.5-17
- Type:bugfix
- Id:NA
- SUG:NA
- DESC: Modify the license

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24.5-16
- Package init
